<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('militarology_revslider_theme_setup9')) {
	add_action( 'after_setup_theme', 'militarology_revslider_theme_setup9', 9 );
	function militarology_revslider_theme_setup9() {
		if (militarology_exists_revslider()) {
			add_action( 'wp_enqueue_scripts', 					'militarology_revslider_frontend_scripts', 1100 );
			add_filter( 'militarology_filter_merge_styles',			'militarology_revslider_merge_styles' );
		}
		if (is_admin()) {
			add_filter( 'militarology_filter_tgmpa_required_plugins','militarology_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'militarology_revslider_tgmpa_required_plugins' ) ) {
	
	function militarology_revslider_tgmpa_required_plugins($list=array()) {
		if (militarology_storage_isset('required_plugins', 'revslider')) {
			$path = militarology_get_file_dir('plugins/revslider/revslider.zip');
			if (!empty($path) || militarology_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> militarology_storage_get_array('required_plugins', 'revslider'),
					'slug' 		=> 'revslider',
					'version'	=> '6.7.10',
					'source'	=> !empty($path) ? $path : 'upload://revslider.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( !function_exists( 'militarology_exists_revslider' ) ) {
	function militarology_exists_revslider() {
		return function_exists('rev_slider_shortcode');
	}
}
	
// Enqueue custom styles
if ( !function_exists( 'militarology_revslider_frontend_scripts' ) ) {
	
	function militarology_revslider_frontend_scripts() {
		if (militarology_is_on(militarology_get_theme_option('debug_mode')) && militarology_get_file_dir('plugins/revslider/revslider.css')!='')
			wp_enqueue_style( 'militarology-revslider',  militarology_get_file_url('plugins/revslider/revslider.css'), array(), null );
	}
}
	
// Merge custom styles
if ( !function_exists( 'militarology_revslider_merge_styles' ) ) {
	
	function militarology_revslider_merge_styles($list) {
		$list[] = 'plugins/revslider/revslider.css';
		return $list;
	}
}
?>